#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    // my main window code
    //buttons = new QPushButton [8];
    buttons[0] = ui->pushButton_0;
    buttons[1] = ui->pushButton_1;
    buttons[2] = ui->pushButton_2;
    buttons[3] = ui->pushButton_3;
    buttons[4] = ui->pushButton_4;
    buttons[5] = ui->pushButton_5;
    buttons[6] = ui->pushButton_6;
    buttons[7] = ui->pushButton_7;
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void MainWindow::buttonPressed()
{
    int i, pos;

    QPushButton *pb = qobject_cast <QPushButton *> (sender());

    pos = -1;
    for (i = 0; i < 8; i++)
    {
        if (buttons[i] == pb)
            pos = i;
    }
    QString num;
    num.setNum (pos);
    ui->label->setText(num);

    buttons[pos]->setText("Pressed");
    buttons[(pos+1)%8]->setText ("Next to Press");
}
